normalize_vector(3)

NAME
normalize_vector, normalize_vector_f

SYNOPSIS
#include <allegro.h>

void normalize_vector(fixed *x, fixed *y, fixed *z); void normalize_vector_f(float *x, float *y, float *z);

DESCRIPTION
Converts the vector (*x, *y, *z) to a unit vector. This points in the same direction as the original vector, but has a length of one.

SEE ALSO
vector_length(3), dot_product(3), cross_product(3), exstars(3)